Skip to main content
POST
/
virtual-wallets
/
create
curl -X POST "https://api.cryptomate.me/virtual-wallets/create" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "alias": "Trading Wallet",
    "blockchain": "POLYGON"
  }'
{
  "id": "vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "alias": "Trading Wallet",
  "client_id": null,
  "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "blockchain": "POLYGON",
  "enabled": true
}
Creates a new virtual wallet with the specified alias and blockchain. Solana is not supported. Requires an API key with access level 2 or higher.

Body

alias
string
required
Friendly alias name for the virtual wallet.
blockchain
string
required
Blockchain network. One of ETHEREUM, POLYGON, BSC, ARBITRUM, OPTIMISM, BASE, AVALANCHE.

Response

id
string
Unique virtual wallet identifier.
alias
string
Wallet alias or display name.
client_id
string
Associated client identifier, if any.
wallet_address
string
On-chain wallet address.
blockchain
string
Blockchain network.
enabled
boolean
Whether the wallet is enabled.
curl -X POST "https://api.cryptomate.me/virtual-wallets/create" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "alias": "Trading Wallet",
    "blockchain": "POLYGON"
  }'
{
  "id": "vw_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "alias": "Trading Wallet",
  "client_id": null,
  "wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "blockchain": "POLYGON",
  "enabled": true
}